package com.dhcc.finance.main.dao;

import com.dhcc.finance.main.domain.CwGlTransfervouch;
import com.dhcc.finance.main.domain.CwGlTransfervouchExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface CwGlTransfervouchMapper {

	long countByExample(CwGlTransfervouchExample example);

	int deleteByExample(CwGlTransfervouchExample example);

	int deleteByPrimaryKey(String pkTransfervouch);

	int insert(CwGlTransfervouch record);

	int insertSelective(CwGlTransfervouch record);

	List<CwGlTransfervouch> selectByExample(CwGlTransfervouchExample example);

	CwGlTransfervouch selectByPrimaryKey(String pkTransfervouch);

	int updateByExampleSelective(@Param("record") CwGlTransfervouch record,
			@Param("example") CwGlTransfervouchExample example);

	int updateByExample(@Param("record") CwGlTransfervouch record, @Param("example") CwGlTransfervouchExample example);

	int updateByPrimaryKeySelective(CwGlTransfervouch record);

	int updateByPrimaryKey(CwGlTransfervouch record);

	List<CwGlTransfervouch> selectByKey(String pkTransferExec);
	/**
	 * 功能描述  批量插入结转信息表
	 *@param cwGlTransfervouchList
	 *@return int
	 *@author huangpeng
	 *@date 2019年11月11日 上午10:13:01
	 *修改日志:
	 */
	int insertForBatch(@Param("list") List<CwGlTransfervouch> cwGlTransfervouchList);
}